Docs
Workspaces

Get workspace status

Returns a cached health summary of the current workspace.

GET
/v1/organizations/me/status

Authorization

BearerAuth
AuthorizationBearer <token>

API key (csk_live_…)

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://api.cospec.io/v1/organizations/me/status"
{
  "setup": {
    "gitProvider": true,
    "agent": true,
    "complete": true
  },
  "gitProviders": {
    "github": {
      "connected": true,
      "installationCount": 0,
      "suspended": true,
      "suspendedCount": 0,
      "repositories": {
        "totalCount": 0,
        "unprotectedCount": 0,
        "lastCheckedAt": "string"
      }
    },
    "gitlab": {
      "connected": true,
      "installationCount": 0,
      "repositories": {
        "totalCount": 0,
        "unprotectedCount": 0,
        "lastCheckedAt": "string"
      }
    }
  },
  "agents": {
    "claudeCode": {
      "configured": true
    }
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}